文章目录

昨天偶然发现在WordPress页面出现如下警告:

PHP Warning: Invalid argument supplied for foreach() in \wp-admin\includes\script-loader.php on line 2678

不知道怎么出现的,但这是在wp自己的代码里,怀疑跟升级有关。

打开被警告的文件找到对应行:

1
foreach ( $wp_styles->queue as $handle ) {

看样子是$wp_styles没有被认为是一个有效的数组,我试着强制转换了一下

1
foreach ( (array)$wp_styles->queue as $handle ) {

测试通过,收工。

♦ 本文固定连接:http://gsgundam.com/2021-11-24-wordpress-invalid-argument-supplied-for-foreach/

♦ 转载请注明:GSGundam 2021年11月22日发布于 GSGUNDAM砍柴工

♦ 本文版权归作者,欢迎转载,但未经作者同意必须保留此段声明,且在文章页面明显位置给出原文链接。

♦ 原创不易,如果页面上有适合你的广告,不妨点击一下看看,支持作者。(广告来源:Google Adsense)